cmake_minimum_required(VERSION 3.10)

# set the project name
project(catch VERSION 3.0)
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED True)

if(MINGW)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wa,-mbig-obj")
elseif(MSVC)
    message(FATAL_ERROR "Does not support MSVC")
endif()

# add the executable
add_library(catch SHARED catch.cpp)
target_include_directories(catch PUBLIC .)

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/catch/CatchCOnfigVersion.cmake"
  VERSION ${Upstream_VERSION}
  COMPATIBILITY AnyNewerVersion
)
